Results 1 to 5 of 5

Thread: Framework Uncaught TypeError

  1. #1
    Sencha Premium Member
    Join Date
    Sep 2013
    Posts
    99

    Default Framework Uncaught TypeError

    I realize this is technically happening in Architect and maybe it's an Architect specific problem but unfortunately I haven't been able to get a response in those forums so I'm hoping someone might be able to help me here, the issue is the following: I have a grid panel that looks like this:

    grid.jpg

    and as soon as I hover my mouse over the first column in the grid, "service1", the following message immediately pops up:

    error.jpg

    the exact same thing happens when I do it in the browser when previewing it, chrome debugger shows the following:
    Anyone have any idea what is going on and how to fix it? this is driving me crazy, any help would be very much appreciated, thank you.

  2. #2
    Sencha Premium Member
    Join Date
    Sep 2013
    Posts
    99

    Default

    Ok I figured out what's causing it, it happens when I add a "Grouping Feature" to the grid, as soon as I remove it the problem stops, but how do I fix this then? I need this to group the services by status, all of the active ones, inactive ones, etc... is there away around it? or another way to do it?

  3. #3
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985
    Answers
    506

    Default

    This seems to be a known issue:
    http://www.sencha.com/forum/showthread.php?265276

    The ticket on that bug is a duplicate to another (EXTJSIV-10018), which has already been fixed in 4.2.2. In what version are you seeing this?

  4. #4
    Sencha Premium Member
    Join Date
    Sep 2013
    Posts
    99

    Default

    Actually I'm not sure, I was assuming architect just ran the latest version of Ext JS and updated whenever there was an available update, I just see 4.2.x though, how do I find out exactly what version I'm using?

  5. #5
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985
    Answers
    506

    Default

    You could check the version.properties file in the distribution.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •